<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>grid_elements &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>grid_elements
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 2.6% of total for derived types.</p>Including implementation: 328 statements,  2.7% of total for derived types.">28 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/elements.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/elements.f03.html'>elements.f03</a></li>
    
     <li><a href='../module/elements.html'>elements</a></li>
    
  
     <li class="active">grid_elements</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofpoints">numberOfPoints</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-vertex">vertex</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberoffaces">numberOfFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-maxfaces">maxFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberoffacenodes">numberOfFaceNodes</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-fvertex">fvertex</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-owner">owner</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-neighbour">neighbour</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-fcentroid">fcentroid</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-sf">Sf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-nf">nf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-area">area</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-cn">CN</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ecn">eCN</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-gdiff">gDiff</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-gf">gf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-tf">Tf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ef">Ef</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-walldist">wallDist</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-facesign">faceSign</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-iownerneighbourcoef">iOwnerNeighbourCoef</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ineighbourownercoef">iNeighbourOwnerCoef</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-tfp">Tfp</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-efp">Efp</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-skw_gf">skw_gf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-fcentroid_skw">fcentroid_skw</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofelements">numberOfElements</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ifaces">iFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-elmfacesign">elmFaceSign</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ineighbours">iNeighbours</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-localneighbours">localNeighbours</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofneighbours">numberOfNeighbours</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-evertex">evertex</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofregions%7E2">numberOfRegions</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-meshregions">meshRegions</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-volume">volume</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-oldvolume">oldVolume</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-centroid">centroid</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-cellcenters">cellCenters</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-lsq_mat">lsq_mat</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-cellglobaladdr">cellGlobalAddr</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-conn">conn</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ghost">ghost</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-periodicfaces">periodicFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-poffset">poffset</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-neigh">neigh</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-readmeshpoints">readMeshPoints</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-readmeshfaces">readMeshFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-readglobalcelladdr">readGlobalCellAddr</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-buildelements">buildElements</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-createmeshregions">createMeshRegions</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-getregionindexbyname">getRegionIndexByName</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-setupmeshregion">setUpMeshRegion</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public, extends(<a href='../type/grid_faces.html'>grid_faces</a>) :: grid_elements</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~grid_elements~~InheritsGraph Pages: 1 -->
<svg id="typegrid_elementsInheritsGraph" width="641pt" height="228pt"
 viewBox="0.00 0.00 641.00 227.84" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~grid_elements~~InheritsGraph" class="graph" transform="scale(.8023 .8023) rotate(0) translate(4 280)">
<title>type~~grid_elements~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-280 795,-280 795,4 -4,4"/>
<!-- type~grid_elements -->
<g id="type~~grid_elements~~InheritsGraph_node1" class="node">
<title>type~grid_elements</title>
<polygon fill="none" stroke="#000000" points="791,-183 711,-183 711,-159 791,-159 791,-183"/>
<text text-anchor="middle" x="751" y="-168.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">grid_elements</text>
</g>
<!-- type~grid_faces -->
<g id="type~~grid_elements~~InheritsGraph_node2" class="node">
<title>type~grid_faces</title>
<g id="a_type~~grid_elements~~InheritsGraph_node2"><a xlink:href=".././type/grid_faces.html" xlink:title="grid_faces">
<polygon fill="#5cb85c" stroke="#5cb85c" points="526,-257 464,-257 464,-233 526,-233 526,-257"/>
<text text-anchor="middle" x="495" y="-242.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">grid_faces</text>
</a>
</g>
</g>
<!-- type~grid_elements&#45;&gt;type~grid_faces -->
<g id="type~~grid_elements~~InheritsGraph_edge3" class="edge">
<title>type~grid_elements&#45;&gt;type~grid_faces</title>
<path fill="none" stroke="#000000" d="M664,-205C642.8559,-210.2904 638.1197,-213.6131 617,-219 590.3122,-225.8071 560.0308,-232.2677 536.3131,-237.046"/>
<polygon fill="#000000" stroke="#000000" points="535.3706,-233.6649 526.2479,-239.0525 536.7392,-240.5299 535.3706,-233.6649"/>
</g>
<!-- integerCellStruct -->
<g id="type~~grid_elements~~InheritsGraph_node3" class="node">
<title>integerCellStruct</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="276,-234 185,-234 185,-210 276,-210 276,-234"/>
<text text-anchor="middle" x="230.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">integerCellStruct</text>
</g>
<!-- type~grid_elements&#45;&gt;integerCellStruct -->
<g id="type~~grid_elements~~InheritsGraph_edge1" class="edge">
<title>type~grid_elements&#45;&gt;integerCellStruct</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M725.2986,-183.0454C708.2703,-190.5216 685.2377,-199.6861 664,-205"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M664,-205C632.6186,-212.8519 405.3182,-212.5933 373,-214 344.3711,-215.2461 312.5272,-216.999 286.2156,-218.5465"/>
<polygon fill="#000000" stroke="#000000" points="285.8253,-215.0634 276.0504,-219.1502 286.2404,-222.0511 285.8253,-215.0634"/>
<text text-anchor="middle" x="495" y="-216.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">iFaces, elmFaceSign, iNeighbours, localNeighbours, conn</text>
</g>
<!-- type~region -->
<g id="type~~grid_elements~~InheritsGraph_node4" class="node">
<title>type~region</title>
<g id="a_type~~grid_elements~~InheritsGraph_node4"><a xlink:href=".././type/region.html" xlink:title="region">
<polygon fill="#5cb85c" stroke="#5cb85c" points="522,-129 468,-129 468,-105 522,-105 522,-129"/>
<text text-anchor="middle" x="495" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">region</text>
</a>
</g>
</g>
<!-- type~grid_elements&#45;&gt;type~region -->
<g id="type~~grid_elements~~InheritsGraph_edge2" class="edge">
<title>type~grid_elements&#45;&gt;type~region</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M710.7184,-162.5031C661.6565,-152.1541 579.4662,-134.8171 531.9594,-124.7961"/>
<polygon fill="#000000" stroke="#000000" points="532.596,-121.3535 522.0889,-122.7141 531.1512,-128.2028 532.596,-121.3535"/>
<text text-anchor="middle" x="664" y="-159.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">meshRegions</text>
</g>
<!-- type~grid_faces&#45;&gt;integerCellStruct -->
<g id="type~~grid_elements~~InheritsGraph_edge4" class="edge">
<title>type~grid_faces&#45;&gt;integerCellStruct</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M463.8807,-242.294C420.2617,-238.501 340.2358,-231.5422 286.2047,-226.8439"/>
<polygon fill="#000000" stroke="#000000" points="286.3642,-223.3446 276.0985,-225.9651 285.7577,-230.3183 286.3642,-223.3446"/>
<text text-anchor="middle" x="324.5" y="-234.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">fvertex</text>
</g>
<!-- type~grid_nodes -->
<g id="type~~grid_elements~~InheritsGraph_node7" class="node">
<title>type~grid_nodes</title>
<g id="a_type~~grid_elements~~InheritsGraph_node7"><a xlink:href=".././type/grid_nodes.html" xlink:title="grid_nodes">
<polygon fill="#5cb85c" stroke="#5cb85c" points="263.5,-276 197.5,-276 197.5,-252 263.5,-252 263.5,-276"/>
<text text-anchor="middle" x="230.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">grid_nodes</text>
</a>
</g>
</g>
<!-- type~grid_faces&#45;&gt;type~grid_nodes -->
<g id="type~~grid_elements~~InheritsGraph_edge5" class="edge">
<title>type~grid_faces&#45;&gt;type~grid_nodes</title>
<path fill="none" stroke="#000000" d="M463.8807,-247.2354C416.7677,-250.6197 327.1816,-257.055 273.753,-260.893"/>
<polygon fill="#000000" stroke="#000000" points="273.2962,-257.4167 263.5727,-261.6243 273.7978,-264.3987 273.2962,-257.4167"/>
</g>
<!-- type~stl -->
<g id="type~~grid_elements~~InheritsGraph_node5" class="node">
<title>type~stl</title>
<g id="a_type~~grid_elements~~InheritsGraph_node5"><a xlink:href=".././type/stl.html" xlink:title="stl">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-66 203.5,-66 203.5,-42 257.5,-42 257.5,-66"/>
<text text-anchor="middle" x="230.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">stl</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~stl -->
<g id="type~~grid_elements~~InheritsGraph_edge10" class="edge">
<title>type~region&#45;&gt;type~stl</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-110.4952C419.9504,-99.1243 321.2933,-75.6256 267.4813,-62.8084"/>
<polygon fill="#000000" stroke="#000000" points="268.2002,-59.3818 257.6613,-60.4694 266.5782,-66.1913 268.2002,-59.3818"/>
<text text-anchor="middle" x="324.5" y="-85.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionSTL</text>
</g>
<!-- type~cone -->
<g id="type~~grid_elements~~InheritsGraph_node6" class="node">
<title>type~cone</title>
<g id="a_type~~grid_elements~~InheritsGraph_node6"><a xlink:href=".././type/cone.html" xlink:title="cone">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-24 203.5,-24 203.5,0 257.5,0 257.5,-24"/>
<text text-anchor="middle" x="230.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">cone</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~cone -->
<g id="type~~grid_elements~~InheritsGraph_edge9" class="edge">
<title>type~region&#45;&gt;type~cone</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M469.4714,-104.9157C441.6157,-91.9136 395.5699,-70.9566 355,-55 326.0093,-43.5977 292.617,-32.1539 267.7175,-23.9418"/>
<polygon fill="#000000" stroke="#000000" points="268.5357,-20.5269 257.943,-20.7401 266.3566,-27.1791 268.5357,-20.5269"/>
<text text-anchor="middle" x="324.5" y="-57.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionCone</text>
</g>
<!-- type~box -->
<g id="type~~grid_elements~~InheritsGraph_node8" class="node">
<title>type~box</title>
<g id="a_type~~grid_elements~~InheritsGraph_node8"><a xlink:href=".././type/box.html" xlink:title="box">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-192 203.5,-192 203.5,-168 257.5,-168 257.5,-192"/>
<text text-anchor="middle" x="230.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">box</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~box -->
<g id="type~~grid_elements~~InheritsGraph_edge6" class="edge">
<title>type~region&#45;&gt;type~box</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-123.5048C419.9504,-134.8757 321.2933,-158.3744 267.4813,-171.1916"/>
<polygon fill="#000000" stroke="#000000" points="266.5782,-167.8087 257.6613,-173.5306 268.2002,-174.6182 266.5782,-167.8087"/>
<text text-anchor="middle" x="324.5" y="-166.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionBox</text>
</g>
<!-- type~cylinder -->
<g id="type~~grid_elements~~InheritsGraph_node9" class="node">
<title>type~cylinder</title>
<g id="a_type~~grid_elements~~InheritsGraph_node9"><a xlink:href=".././type/cylinder.html" xlink:title="cylinder">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-150 203.5,-150 203.5,-126 257.5,-126 257.5,-150"/>
<text text-anchor="middle" x="230.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">cylinder</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~cylinder -->
<g id="type~~grid_elements~~InheritsGraph_edge7" class="edge">
<title>type~region&#45;&gt;type~cylinder</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-119.1683C420.0496,-122.9507 321.7033,-130.7589 267.8175,-135.0372"/>
<polygon fill="#000000" stroke="#000000" points="267.3529,-131.563 257.6613,-135.8435 267.907,-138.541 267.3529,-131.563"/>
<text text-anchor="middle" x="324.5" y="-134.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionCylinder</text>
</g>
<!-- type~sphere -->
<g id="type~~grid_elements~~InheritsGraph_node10" class="node">
<title>type~sphere</title>
<g id="a_type~~grid_elements~~InheritsGraph_node10"><a xlink:href=".././type/sphere.html" xlink:title="sphere">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-108 203.5,-108 203.5,-84 257.5,-84 257.5,-108"/>
<text text-anchor="middle" x="230.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">sphere</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~sphere -->
<g id="type~~grid_elements~~InheritsGraph_edge8" class="edge">
<title>type~region&#45;&gt;type~sphere</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-114.8317C420.0496,-111.0493 321.7033,-103.2411 267.8175,-98.9628"/>
<polygon fill="#000000" stroke="#000000" points="267.907,-95.459 257.6613,-98.1565 267.3529,-102.437 267.907,-95.459"/>
<text text-anchor="middle" x="324.5" y="-107.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionSphere</text>
</g>
<!-- surface_stl_object -->
<g id="type~~grid_elements~~InheritsGraph_node11" class="node">
<title>surface_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="99,-87 0,-87 0,-63 99,-63 99,-87"/>
<text text-anchor="middle" x="49.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">surface_stl_object</text>
</g>
<!-- type~stl&#45;&gt;surface_stl_object -->
<g id="type~~grid_elements~~InheritsGraph_edge12" class="edge">
<title>type~stl&#45;&gt;surface_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M203.4025,-57.1439C178.5747,-60.0245 140.9531,-64.3894 109.1219,-68.0825"/>
<polygon fill="#000000" stroke="#000000" points="108.5442,-64.626 99.0142,-69.2553 109.351,-71.5794 108.5442,-64.626"/>
<text text-anchor="middle" x="142" y="-68.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLSurface</text>
</g>
<!-- file_stl_object -->
<g id="type~~grid_elements~~InheritsGraph_node12" class="node">
<title>file_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="88,-45 11,-45 11,-21 88,-21 88,-45"/>
<text text-anchor="middle" x="49.5" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">file_stl_object</text>
</g>
<!-- type~stl&#45;&gt;file_stl_object -->
<g id="type~~grid_elements~~InheritsGraph_edge11" class="edge">
<title>type~stl&#45;&gt;file_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M203.3857,-48.7706C192.1586,-46.7442 178.9844,-44.545 167,-43 144.49,-40.098 119.4412,-37.8341 98.2736,-36.1999"/>
<polygon fill="#000000" stroke="#000000" points="98.4554,-32.7038 88.2222,-35.4482 97.9333,-39.6843 98.4554,-32.7038"/>
<text text-anchor="middle" x="142" y="-45.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLFile</text>
</g>
</g>
</svg>
</div><script>var pantypegrid_elementsInheritsGraph = svgPanZoom('#typegrid_elementsInheritsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherited by</h3>
      </div>
      <div class="panel-body">
     <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~grid_elements~~InheritedByGraph Pages: 1 -->
<svg id="typegrid_elementsInheritedByGraph" width="178pt" height="32pt"
 viewBox="0.00 0.00 178.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~grid_elements~~InheritedByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>type~~grid_elements~~InheritedByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 174,-28 174,4 -4,4"/>
<!-- type~grid_elements -->
<g id="type~~grid_elements~~InheritedByGraph_node1" class="node">
<title>type~grid_elements</title>
<polygon fill="none" stroke="#000000" points="80,-24 0,-24 0,0 80,0 80,-24"/>
<text text-anchor="middle" x="40" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">grid_elements</text>
</g>
<!-- type~fvmesh -->
<g id="type~~grid_elements~~InheritedByGraph_node2" class="node">
<title>type~fvmesh</title>
<g id="a_type~~grid_elements~~InheritedByGraph_node2"><a xlink:href=".././type/fvmesh.html" xlink:title="fvMesh">
<polygon fill="#5cb85c" stroke="#5cb85c" points="170,-24 116,-24 116,0 170,0 170,-24"/>
<text text-anchor="middle" x="143" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fvMesh</text>
</a>
</g>
</g>
<!-- type~fvmesh&#45;&gt;type~grid_elements -->
<g id="type~~grid_elements~~InheritedByGraph_edge1" class="edge">
<title>type~fvmesh&#45;&gt;type~grid_elements</title>
<path fill="none" stroke="#000000" d="M115.938,-12C108.0554,-12 99.1784,-12 90.3467,-12"/>
<polygon fill="#000000" stroke="#000000" points="90.0621,-8.5001 80.0621,-12 90.0621,-15.5001 90.0621,-8.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofpoints">numberOfPoints</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-vertex">vertex</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberoffaces">numberOfFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-maxfaces">maxFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberoffacenodes">numberOfFaceNodes</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-fvertex">fvertex</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-owner">owner</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-neighbour">neighbour</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-fcentroid">fcentroid</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-sf">Sf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-nf">nf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-area">area</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-cn">CN</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ecn">eCN</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-gdiff">gDiff</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-gf">gf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-tf">Tf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ef">Ef</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-walldist">wallDist</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-facesign">faceSign</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-iownerneighbourcoef">iOwnerNeighbourCoef</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ineighbourownercoef">iNeighbourOwnerCoef</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-tfp">Tfp</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-efp">Efp</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-skw_gf">skw_gf</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-fcentroid_skw">fcentroid_skw</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofelements">numberOfElements</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ifaces">iFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-elmfacesign">elmFaceSign</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ineighbours">iNeighbours</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-localneighbours">localNeighbours</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofneighbours">numberOfNeighbours</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-evertex">evertex</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-numberofregions%7E2">numberOfRegions</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-meshregions">meshRegions</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-volume">volume</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-oldvolume">oldVolume</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-centroid">centroid</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-cellcenters">cellCenters</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-lsq_mat">lsq_mat</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-cellglobaladdr">cellGlobalAddr</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-conn">conn</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-ghost">ghost</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-periodicfaces">periodicFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-poffset">poffset</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#variable-neigh">neigh</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-readmeshpoints">readMeshPoints</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-readmeshfaces">readMeshFaces</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-readglobalcelladdr">readGlobalCellAddr</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-buildelements">buildElements</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-createmeshregions">createMeshRegions</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-getregionindexbyname">getRegionIndexByName</a>
      
      <a class="list-group-item" href="../type/grid_elements.html#boundprocedure-setupmeshregion">setUpMeshRegion</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofpoints"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfPoints</strong></td><td></td><td></td><td><p>Number of vertex in the mesh</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-vertex"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>vertex</strong></td><td></td><td></td><td><p>Cartesian coordinates of each vertex in the mesh</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberoffaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfFaces</strong></td><td></td><td></td><td><p>Number of faces in the mesh. Same as numberOfFaces</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-maxfaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>maxFaces</strong></td><td></td><td></td><td><p>Maxium number of faces composing grid elements.
It is arbitrary set to 6, but it can be changed if required.</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberoffacenodes"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>numberOfFaceNodes</strong></td><td></td><td></td><td><p>Number vertices composing each face</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fvertex"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>fvertex</strong></td><td></td><td></td><td><p>Structure containing the vertex indeces composing each face</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-owner"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>owner</strong></td><td></td><td></td><td><p>Array containing the list of owner cells</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-neighbour"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>neighbour</strong></td><td></td><td></td><td><p>Array containing the list of neighbour cells</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fcentroid"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>fcentroid</strong></td><td></td><td></td><td><p>Cartesian coordinates of the face center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Sf</strong></td><td></td><td></td><td><p>Face normal pointing from owner to neighbour cell. The vector magnitude is the face area</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>nf</strong></td><td></td><td></td><td><p>Face normal pointing from owner to neighbour. The vactor magniute is one</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-area"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>area</strong></td><td></td><td></td><td><p>Face area. Same as mag(Sf)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cn"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>CN</strong></td><td></td><td></td><td><p>Distance vector, joining owner cell center with neighbour cell center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ecn"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>eCN</strong></td><td></td><td></td><td><p>Versor  joining owner cell center with neighbour cell center (i.e. CN/|CN|)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gdiff"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>gDiff</strong></td><td></td><td></td><td><p>Diffusion weighting factor, abs(Sf)/abs(CN)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>gf</strong></td><td></td><td></td><td><p>Linear interpolation weighting factor</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Tf</strong></td><td></td><td></td><td><p>Non-orthogonality vector, i.e. Sf-Ef</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ef"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Ef</strong></td><td></td><td></td><td><p>Vector joining owner cell center with neighbour cell center. It definitaion is approach dependent</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-walldist"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>wallDist</strong></td><td></td><td></td><td><p>Reciprocal of gDiff, i.e. 1/gDiff</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-facesign"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>faceSign</strong></td><td></td><td></td><td><p>Array needed during the cell volume calculation. It is +1 if the face belongs to the owner cell, -1 otherwise</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-iownerneighbourcoef"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iOwnerNeighbourCoef</strong></td><td></td><td></td><td><p>Index used during coefficient assembling</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ineighbourownercoef"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iNeighbourOwnerCoef</strong></td><td></td><td></td><td><p>Index used during coefficient assembling</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tfp"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Tfp</strong></td><td></td><td></td><td><p>Non-orthogonality vector for the pressure equation diffusion term</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-efp"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Efp</strong></td><td></td><td></td><td><p>Vector needed for the pressure diffuive fluxes</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-skw_gf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>skw_gf</strong></td><td></td><td></td><td><p>Skew-corrected interpolation weighting factor</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fcentroid_skw"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>fcentroid_skw</strong></td><td></td><td></td><td><p>Skew-corrected face centers</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofelements"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfElements</strong></td><td></td><td></td><td><p>Number of cells in the processor boundaries</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ifaces"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iFaces</strong></td><td></td><td></td><td><p>List of faces composing a cell</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-elmfacesign"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>elmFaceSign</strong></td><td></td><td></td><td><p>List of faces composing a cell</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ineighbours"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iNeighbours</strong></td><td></td><td></td><td><p>List of cells neighbouring of a target cell. The ghost neighbours have the GLOBAL index!</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-localneighbours"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>localNeighbours</strong></td><td></td><td></td><td><p>List of local cells neighbouring of a target cell.</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofneighbours"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>numberOfNeighbours</strong></td><td></td><td></td><td><p>Number of neighbours of a cell (i.e. number of faces for an internal cell)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-evertex"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>evertex</strong></td><td></td><td></td><td><p>List of vertex composing a cell</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofregions%7E2"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfRegions</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-meshregions"></span>type(<a href='../type/region.html'>region</a>),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>meshRegions</strong></td><td></td><td></td><td><p>List of user defined regions</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-volume"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>volume</strong></td><td></td><td></td><td><p>Cell volume</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-oldvolume"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>oldVolume</strong></td><td></td><td></td><td><p>Useless :)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-centroid"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>centroid</strong></td><td></td><td></td><td><p>Cartesian coordinates of a cell cell center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cellcenters"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>cellCenters</strong></td><td></td><td></td><td><p>Cartesian coordinates of a cell cell center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-lsq_mat"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>lsq_mat</strong></td><td></td><td></td><td><p>Least squares matrix. Mind that it is symmetric</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cellglobaladdr"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>cellGlobalAddr</strong></td><td></td><td></td><td><p>Array linking the cell local address to the global one</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-conn"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>conn</strong></td><td></td><td></td><td><p>mesh connectivities</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ghost"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:,:), allocatable</td><td>::</td>
  <td><strong>ghost</strong></td><td></td><td></td><td><p>Ghost cell centroids near a processor boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-periodicfaces"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:,:), allocatable</td><td>::</td>
  <td><strong>periodicFaces</strong></td><td></td><td></td><td><p>periodicity is to re-implement</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-poffset"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:,:), allocatable</td><td>::</td>
  <td><strong>poffset</strong></td><td></td><td></td><td><p>Offset vector between periodic faces</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-neigh"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>neigh</strong></td><td></td><td></td><td><p>neighbour periodic boundary</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readmeshpoints"></span><h3>procedure, public :: <strong>readMeshPoints</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readmeshpoints.html'>readMeshPoints</a>(this)
    
    
   
</h3>
    







<p>readMeshPoints reads the nodes composing the mesh from the mesh files.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_nodes.html'>grid_nodes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readmeshfaces"></span><h3>procedure, public :: <strong>readMeshFaces</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readmeshfaces.html'>readMeshFaces</a>(this)
    
    
   
</h3>
    







<p>readMeshFaces reads the faces composing the mesh from the mesh files.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_faces.html'>grid_faces</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readglobalcelladdr"></span><h3>procedure, public :: <strong>readGlobalCellAddr</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readglobalcelladdr.html'>readGlobalCellAddr</a>(this)
    
    
   
</h3>
    







<p>readGlobalCellAddr reads the global cell adress of the mesh cells.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-buildelements"></span><h3>procedure, public :: <strong>buildElements</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/buildelements.html'>buildElements</a>(this)
    
    
   
</h3>
    







<p>buildElements assembles together the mesh faces to form mesh cells.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-createmeshregions"></span><h3>procedure, public :: <strong>createMeshRegions</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createmeshregions.html'>createMeshRegions</a>(this)
    
    
   
</h3>
    







<p>createMeshRegions create the regions with the mesha as defined in flubioMeshRegions.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-getregionindexbyname"></span><h3>procedure, public :: <strong>getRegionIndexByName</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/getregionindexbyname.html'>getRegionIndexByName</a>(this, targetRegion) result(regionIndex)
    
    
   
</h3>
    







<p>getRegionIndexByName return the index of the target region in the regiuon array.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>targetRegion</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>integer
  </small></h4>
  
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setupmeshregion"></span><h3>procedure, public :: <strong>setUpMeshRegion</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setupmeshregion.html'>setUpMeshRegion</a>(this, iRegion)
    
    
   
</h3>
    







<p>setUpRegion sets up the box region (cell value equals to 1 are with the region)</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iRegion</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>